## 86Box-5.1.tar.gz

=== src/printer/CMakeLists.txt ===
#
# 86Box    A hypervisor and IBM PC system emulator that specializes in
#          running old operating systems and software designed for IBM
#          PC systems and compatibles from 1981 through fairly recent
#          system designs based on the PCI bus.
#
#          This file is part of the 86Box distribution.
#
#          CMake build script.
#
# Authors: David Hrdlička, <hrdlickadavid@outlook.com>
#          Jasmine Iwanek, <jriwanek@gmail.com>
#
#          Copyright 2020-2021 David Hrdlička.
#          Copyright 2024      Jasmine Iwanek.
#

add_library(print OBJECT
    png.c
    prt_cpmap.c
    prt_escp.c
    prt_text.c
    prt_ps.c
)

if(PCL)
    target_compile_definitions(print PRIVATE USE_PCL)
endif()

if(APPLE)
    find_library(GHOSTSCRIPT_LIB gs)
    if (NOT GHOSTSCRIPT_LIB)
        message(WARNING "Could not find ghostscript. The library will not be bundled and any related features will not work.")
    endif()
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(FREETYPE REQUIRED IMPORTED_TARGET freetype2)
target_link_libraries(86Box PkgConfig::FREETYPE)
if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
	target_include_directories(print PRIVATE /usr/local/include)
	target_include_directories(print PRIVATE /usr/local/include/freetype2)
endif()
if(STATIC_BUILD)
    # if(QT)
        # Qt provides its own version of harfbuzz which leads to duplicated symbols.
        target_link_options(86Box PRIVATE "LINKER:--allow-multiple-definition")
    # endif()
    target_link_libraries(86Box -static ${FREETYPE_STATIC_LIBRARIES})
endif()

=== debian/control ===
Source: 86box
Section: otherosfs
Priority: optional
Maintainer: Jasmine Iwanek <jriwanek@gmail.com>
Build-Depends: cmake (>= 3.21),
               debhelper-compat (= 13),
               libevdev-dev,
               libfluidsynth-dev,
               libfreetype-dev,
               libopenal-dev,
               libqt5opengl5-dev,
               librtmidi-dev,
               libsdl2-dev,
               libslirp-dev,
               libxkbcommon-x11-dev,
               libsndfile-dev,
               ninja-build,
               qttools5-dev,
               qtbase5-private-dev,
               libserialport-dev
Standards-Version: 4.6.0
Homepage: https://86box.net/
#Vcs-Browser: https://salsa.debian.org/debian/86box
#Vcs-Git: https://salsa.debian.org/debian/86box.git
Rules-Requires-Root: no

Package: 86box
Architecture: amd64 armhf arm64 i386
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sse2-support [i386]
Recommends: libpcap0.8-dev
Description: An emulator for classic IBM PC clones
             86Box is a low level x86 emulator that runs older operating systems and software
             designed for IBM PC systems and compatibles from 1981 through
             fairly recent system designs based on the PCI bus.
